# IAX2IeCalledNumber Class Reference

`#include <ies.h>`

Inheritance diagram for IAX2IeCalledNumber:

[legend]
Collaboration diagram for IAX2IeCalledNumber:
[legend]

## Public Member Functions

| IAX2IeCalledNumber (BYTE length, BYTE *srcData)
| IAX2IeCalledNumber (const PString &newValue)
virtual void | PrintOn (ostream &str) const
virtual BYTE | GetKeyValue () const
virtual void | StoreDataIn (IAX2IeData &res)

## Detailed Description

An Information Element that contains the number/extension being called.

## Constructor & Destructor Documentation

IAX2IeCalledNumber::IAX2IeCalledNumber | ( | BYTE | length,
|  | BYTE * | srcData |
| ) |  |  | `[inline]`

Constructor from data read from the network.

Contents are undefined if network data is bogus.

IAX2IeCalledNumber::IAX2IeCalledNumber | ( | const PString & | newValue | ) | `[inline]`

Initialise to the supplied string value

## Member Function Documentation

virtual BYTE IAX2IeCalledNumber::GetKeyValue | ( |  | ) | const`[inline, virtual]`

Get the key value for this particular Information Element class

Reimplemented from IAX2Ie.

virtual void IAX2IeCalledNumber::PrintOn | ( | ostream & | str | ) | const`[virtual]`

print this class (nicely) to the designated stream

Reimplemented from IAX2IeString.

virtual void IAX2IeCalledNumber::StoreDataIn | ( | IAX2IeData & | res | ) | `[inline, virtual]`

Take the data from this IAX2Ie, and copy it into the IAX2IeData structure. This is done on processing an incoming frame which contains IAX2Ie in the data section.

Reimplemented from IAX2Ie.

The documentation for this class was generated from the following file:

- ies.h